assert( Necronomicon, "Necronomicon not found!")

----------------------------------
--        Are you local?        --
----------------------------------

local L = AceLibrary("AceLocale-2.2"):new("Necronomicon")
local deformat = AceLibrary("Deformat-2.0")

----------------------------------
--      Module Declaration      --
----------------------------------

NecronomiconTrance = Necronomicon:NewModule("Trance")

NecronomiconTrance.revision = tonumber(string.sub("$Revision: 75659 $", 12, -3))

NecronomiconTrance.defaults = {
}

----------------------------------
--     Module Intialization     --
----------------------------------
local spellBacklash, spellShadowTrance
function NecronomiconTrance:OnEnable()
	self:RegisterEvent("CHAT_MSG_SPELL_PERIODIC_SELF_BUFFS")
	spellBacklash = GetSpellInfo(34935)
	spellShadowTrance = GetSpellInfo(17941)
end

----------------------------------
--        Event Handlers        --
----------------------------------

function NecronomiconTrance:CHAT_MSG_SPELL_PERIODIC_SELF_BUFFS( msg )
	local effect = deformat( msg, AURAADDEDSELFHELPFUL )
	if effect == spellBacklash or effect == spellShadowTrance then
		self:Warn( effect )
	end
end
